Subject: Re: [bug#27002] [PATCH] gnu: Add lollypop.

From: Thomas Danckaert <[email-masked]>
Date: Mon, 26 Jun 2017 10:39:39 +0200 (CEST)

From: rennes <[email-masked]>
Subject: Re: [bug#27002] [PATCH] gnu: Add lollypop.
Date: Sat, 24 Jun 2017 13:06:53 -0500

>>I also have gst-plugins-base in my profile.  I don't know why it
>>doesn't work :) I assume lollypop works for you?
>>
> I have added libraries to 'propagated-inputs', in 'inputs' does not
> work.
> Now I don't have libraries in my profile. Can you test?

I don't think that was the problem, because I have all the 
gst-plugins-xyz libraries installed, too.  The patch didn't change 
the result.  Perhaps someone else can check and possibly apply this 
patch (perhaps the patch is fine and it's a problem on my system :-/ )

Thomas

For future reference, I'll copy the output I get when I try to run 
'lollypop'.  It looks like something goes wrong with the (py-)gobject 
for gstreamer:

/gnu/store/6jwmm9f665xmkkhhj1x5b904kzn00y82-python-pygobject-3.24.1/lib/python3.5/site-packages/gi/module.py:178: 
Warning: g_array_append_vals: assertion 'array' failed
   g_type = info.get_g_type()
/gnu/store/6jwmm9f665xmkkhhj1x5b904kzn00y82-python-pygobject-3.24.1/lib/python3.5/site-packages/gi/module.py:178: 
Warning: g_hash_table_lookup: assertion 'hash_table != NULL' failed
   g_type = info.get_g_type()
/gnu/store/6jwmm9f665xmkkhhj1x5b904kzn00y82-python-pygobject-3.24.1/lib/python3.5/site-packages/gi/module.py:178: 
Warning: g_hash_table_insert_internal: assertion 'hash_table != NULL' 
failed
   g_type = info.get_g_type()
You need to add a music uri to org.gnome.Lollypop in dconf
/gnu/store/9xik31h3z5vi0kbcg8av5c2h9wqckjs5-python-gst-1.12.0/lib/python3.5/site-packages/gi/overrides/Gst.py:217: 
Warning: g_object_set: assertion 'G_IS_OBJECT (object)' failed
   return Gst.ElementFactory.make(factory_name, instance_name)

(lollypop:29867): GStreamer-CRITICAL **: gst_bin_add: assertion 
'GST_IS_ELEMENT (element)' failed

(lollypop:29867): GStreamer-CRITICAL **: gst_element_get_static_pad: 
assertion 'GST_IS_ELEMENT (element)' failed

(lollypop:29867): GStreamer-CRITICAL **: gst_object_unref: assertion 
'object != NULL' failed
Replay Gain not available,
please check your gstreamer installation...

(lollypop:29867): GStreamer-CRITICAL **: gst_bin_add: assertion 
'GST_IS_ELEMENT (element)' failed

(lollypop:29867): GStreamer-CRITICAL **: gst_element_get_static_pad: 
assertion 'GST_IS_ELEMENT (element)' failed

(lollypop:29867): GStreamer-CRITICAL **: gst_object_unref: assertion 
'object != NULL' failed
Replay Gain not available,
please check your gstreamer installation...
Traceback (most recent call last):
   File 
"/gnu/store/3g6x62m095k19imzygh4jf50hn0h31fp-lollypop-0.9.240/lib/python3.5/site-packages/lollypop/application.py", 
line 210, in do_startup
     self.init()
   File 
"/gnu/store/3g6x62m095k19imzygh4jf50hn0h31fp-lollypop-0.9.240/lib/python3.5/site-packages/lollypop/application.py", 
line 169, in init
     self.player = Player()
   File 
"/gnu/store/3g6x62m095k19imzygh4jf50hn0h31fp-lollypop-0.9.240/lib/python3.5/site-packages/lollypop/player.py", 
line 40, in __init__
     BinPlayer.__init__(self)
   File 
"/gnu/store/3g6x62m095k19imzygh4jf50hn0h31fp-lollypop-0.9.240/lib/python3.5/site-packages/lollypop/player_bin.py", 
line 46, in __init__
     self._playbin.connect("notify::volume", self.__on_volume_changed)
AttributeError: 'NoneType' object has no attribute 'connect'